<html lang="en">
<head>
<title>Glossary - Semantic Manual</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Semantic Manual">
<meta name="generator" content="makeinfo 4.8">
<link title="Top" rel="start" href="index.html#Top">
<link rel="prev" href="Semantic-Internals.html#Semantic-Internals" title="Semantic Internals">
<link rel="next" href="GNU-Free-Documentation-License.html#GNU-Free-Documentation-License" title="GNU Free Documentation License">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
This manual documents Semantic, a new intrastructure for parser
based text analysis for Emacs.

Copyright (C) 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2007 Eric M. Ludlam
Copyright (C) 2001, 2002, 2003, 2005 David Ponce
Copyright (C) 2002, 2003 Richard Y. Kim

     Permission is granted to copy, distribute and/or modify this
     document under the terms of the GNU Free Documentation License,
     Version 1.1 or any later version published by the Free Software
     Foundation; with the Invariant Sections being list their titles,
     with the Front-Cover Texts being list, and with the Back-Cover
     Texts being list.  A copy of the license is included in the
     section entitled ``GNU Free Documentation License''.
-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc    { font-variant:small-caps }
  span.roman { font-family:serif; font-weight:normal; } 
  span.sansserif { font-family:sans-serif; font-weight:normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Glossary"></a>
Next:&nbsp;<a rel="next" accesskey="n" href="GNU-Free-Documentation-License.html#GNU-Free-Documentation-License">GNU Free Documentation License</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Semantic-Internals.html#Semantic-Internals">Semantic Internals</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="index.html#Top">Top</a>
<hr>
</div>

<h2 class="appendix">Appendix A Glossary</h2>

     <dl>
<dt><a name="BNF"></a>
<b>BNF</b><dd>In semantic 1.4, a BNF file represented &ldquo;Bovine Normal Form&rdquo;, the
grammar file used for the 1.4 parser generator.  This was a play on
Backus-Naur Form which proved too confusing.

     <br><dt><a name="bovinate"></a>
<b>bovinate</b><dd>A verb representing what happens when a bovine parser parsers a file.

     <br><dt><a name="bovine-lambda"></a>
<b>bovine lambda</b><dd>In a bovine, or LL parser, the bovine lambda is a function to execute
when a specific set of match rules has succeeded in matches text from
the buffer.

     <br><dt><a name="bovine-parser"></a>
<b>bovine parser</b><dd>A parser using the bovine parser generator.  It is an LL parser
suitible for small simple languages.

     <br><dt><a name="context"></a>
<b>context</b>
<br><dt><a name="LALR"></a>
<b>LALR</b>
<br><dt><a name="lexer"></a>
<b>lexer</b><dd>A program which converts text into a stream of tokens by analyzing
them lexially.  Lexers will commonly create strings, symbols,
keywords and punctuation, and strip whitespace and comments.

     <br><dt><a name="LL"></a>
<b>LL</b>
<br><dt><a name="nonterminal"></a>
<b>nonterminal</b>
<br><dt><a name="overloadable"></a>
<b>overloadable</b><dd>Some functions are defined via <code>define-overload</code>. 
These can be overloaded via ....

     <br><dt><a name="parser"></a>
<b>parser</b><dd>A program that converts <b>tokens</b> to <b>tags</b>.

     <br><dt><a name="tag"></a>
<b>tag</b><dd>A tag is a representation of some entity in a language file, such as a
functin, variable, or include statement.  In semantic, the word tag is
used the same way it is used for the etags or ctags tools.

     <br><dt><a name="token"></a>
<b>token</b><dd>A single atomic item returned from a lexer.  It represents some set
of characters found in a buffer.

     <br><dt><a name="token-stream"></a>
<b>token stream</b><dd>The output of the lexer as well as the input to the parser.

     <br><dt><a name="wisent-parser"></a>
<b>wisent parser</b><dd>A parser using the wisent parser generator.  It is a port of bison to
Emacs Lisp.  It is an LALR parser suitable for complex languages.

</dl>

</body></html>

